services:
  app:
    build: .
    container_name: zkart-app
    environment:
      SECRET_KEY: ${SECRET_KEY:-change-me-please}
      WEB_CONCURRENCY: ${WEB_CONCURRENCY:-4}
      GUNICORN_THREADS: ${GUNICORN_THREADS:-5}
    volumes:
      - ./matrix.db:/app/matrix.db
    restart: unless-stopped

  nginx:
    image: nginx:1.27-alpine
    container_name: zkart-nginx
    depends_on:
      - app
    ports:
      - "5000:80"
    volumes:
      - ./nginx.conf:/etc/nginx/conf.d/default.conf:ro
    restart: unless-stopped
